package main

import (
	"byom-infra-api/config"
	"byom-infra-api/routes"
	"log"
	"net/http"

	"github.com/gorilla/mux"
)

func main() {
	// Initialize OVH client
	config.InitOVHClient()

	r := mux.NewRouter()

	// Setup routes
	routes.SetupRoutes(r)

	// Start server
	log.Println("Server starting on port 8080...")
	if err := http.ListenAndServe(":8080", r); err != nil {
		log.Fatal(err)
	}
}
